lucene-solr-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Yonik Seeley (JIRA)" <j...@apache.org>
Subject [jira] Commented: (SOLR-327) shell scripts failed to run on Solaris 8 (and probably other non recent UNIX)
Date Thu, 09 Aug 2007 19:31:42 GMT

    [ https://issues.apache.org/jira/browse/SOLR-327?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel#action_12518822
] 

Yonik Seeley commented on SOLR-327:
-----------------------------------

Hard links work on NTFS, but the differing semantics still mess things up.
For example, you can't delete *any* of the links to an open file.

> shell scripts failed to run on Solaris 8 (and probably other non recent UNIX)
> -----------------------------------------------------------------------------
>
>                 Key: SOLR-327
>                 URL: https://issues.apache.org/jira/browse/SOLR-327
>             Project: Solr
>          Issue Type: Bug
>            Reporter: Paul Sundling
>            Priority: Minor
>
> There are several places where commands used are incompatible with older UNIX versions,
even though these capabilities are present.  There are ways to rewrite the shell scripts to
be compatible with these older versions.
> The first example is the use of pgrep.  Older machines will have grep, egrep and fgrep,
but NOT pgrep. I've been doing UNIX for well over a decade and never heard of pgrep, although
it is installed on my home server apparently. :)
> There are also enhancements like the use of  'cp -l'.  This could be accomplished with
the 'ln' command instead on older UNIX versions.  Since it's also used recursively in snapshooter,
which 'ln' doesn't support, it makes the command more complex.  

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message